MEMCMP(3)

NAME
memcmp - compare byte string

LIBRARY
libc

SYNOPSIS
#include <string.h>
int
memcmp(const void *s1, const void *s2, size_t n);

DESCRIPTION
The memcmp() function compares byte string s1 against byte string s2. Both strings are assumed to be n bytes long.

RETURN VALUES
The memcmp() function returns zero if the two strings are identical, otherwise returns the difference between the first two differing bytes (treated as unsigned char values, so that ‘\200’ is greater than ‘\0’, for example). Zero-length strings are always identical.

SEE ALSO
bcmp(3), strcasecmp(3), strcmp(3), strcoll(3), strxfrm(3), wmemcmp(3)

STANDARDS
The memcmp() function conforms to isoC.